Bug 373256 - "Delete duplicate messages" feature does not work
Summary: "Delete duplicate messages" feature does not work
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: message list (show other bugs)
Version: 5.3.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-04 15:33 UTC by Gunter Ohrner
Modified: 2017-01-29 07:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.4.2


Attachments
verbose information dialog after invoking "Delete duplicate messages" (6.34 KB, image/png)
2016-12-04 15:35 UTC, Gunter Ohrner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gunter Ohrner 2016-12-04 15:33:57 UTC
I tried "Folder -> Delete Duplicate Messages" on different folders and always get the attached dialog as a result.

No messages seem to have been deleted in the process.

kMail 5.3.3, KDE Neon, German locale
Comment 1 Gunter Ohrner 2016-12-04 15:35:12 UTC
Created attachment 102615 [details]
verbose information dialog after invoking "Delete duplicate messages"

I forgot to add: The account is a normal IMAP account (no DIMAP).
Comment 2 Laurent Montel 2017-01-29 07:43:46 UTC
Git commit 0cbfe7105fb6e8d3ace091185bd10b3d7ae7c47e by Montel Laurent.
Committed on 29/01/2017 at 07:43.
Pushed by mlaurent into branch 'Applications/16.12'.

Fix Bug 373256 - "Delete duplicate messages" feature does not work

FIXED-IN: 5.4.2

M  +1    -1    src/job/removeduplicatemailjob.cpp

https://commits.kde.org/kmail/0cbfe7105fb6e8d3ace091185bd10b3d7ae7c47e